=pod

=head1 NAME

csf_parser - Parse signed images or CSF binary files for NXP secure boot

=head1 SYNOPSIS

B<csf_parser> B<[-d]> (B<-s> I<signed_image> | B<-c> I<csf_binary>)

=head1 DESCRIPTION

B<csf_parser> is a utility to parse signed images or binary Command Sequence Files (CSF) used in the secure boot process on NXP i.MX processors. It extracts and displays information from either a signed boot image or a CSF binary file.

Only one input type (signed image or CSF binary) can be processed at a time.

=head1 OPTIONS

=over 4

=item B<-d>, B<--enable-debug>

Enable debug information output.

=item B<-s>, B<--signed-image> I<file>

A signed image file as input for parsing.

=item B<-c>, B<--csf-binary> I<file>

A CSF binary file as input for parsing.

=back

=head1 EXAMPLES

=over 4

=item Parse a signed image with debug enabled:

  csf_parser -d -s signed_image.bin

=item Parse a CSF binary file:

  csf_parser -c csf_binary.bin

=back

=head1 SEE ALSO

L<cst(1)>, L<srktool(1)>

=cut
